#ifndef UTIL_H
#define UTIL_H

#ifdef _IBMR2
#ifndef _POSIX_SOURCE
#define _POSIX_SOURCE		/* Argh!  IBM strikes again */
#endif
#ifndef _ALL_SOURCE
#define _ALL_SOURCE		/* Argh!  IBM strikes again */
#endif
#ifndef _ANSI_C_SOURCE
#define _ANSI_C_SOURCE		/* Argh!  IBM strikes again */
#endif
#endif

#define USE_MM		/* choose libmm.a as the memory allocator */

/* these are too entrenched to get away with changing the name */
#define getopt		util_getopt
#define getopt_reset	util_getopt_reset
#define optarg		util_optarg
#define optind		util_optind



/* util_getopt() global variables (ack !) */
extern int util_optind;
extern char *util_optarg;


#define fail(why) {\
    (void) fprintf(stderr, "Fatal error: file %s, line %d\n%s\n",\
	__FILE__, __LINE__, why);\
    (void) fflush(stdout);\
    abort();\
}



#endif

